=== debian/changelog ===
xininfo (0.14.11-5) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from pkg-config to pkgconf in Build-Depends field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: added packaging rights for some people.
  * debian/gbp.conf: dropped.
  * debian/patches/01_allow-gcc-hardening.patch: created to allow the build
    process to use GCC hardening.
  * debian/rules:
      - Dropped all trash.
      - Dropped deprecated DH addon '--with autoreconf'.
      - Dropped lines setting build flags statically.
      - Replaced override_dh_auto_build with execute_after_dh_auto_build.
  * debian/salsa-ci.yml: created to provide CI tests on Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 07 Feb 2026 12:19:19 -0300

xininfo (0.14.11-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Update vcs urls to point to salsa.
  * debian/control: Remove dh-autoreconf from Build-Depends.
  * debian/watch: Bump to version 4.
  * debian/control: Set Rules-Requires-Root to no.
  * debian/copyright: Edit Format field to use a secure protocol.

 -- Thais Reboucas Araujo <thaysreb@gmail.com>  Fri, 30 Jun 2023 16:23:26 -0300

xininfo (0.14.11-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Jun 2023 14:01:58 -0300

xininfo (0.14.11-2) experimental; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Victor Yukio <yukio.link@gmail.com>  Sat, 27 May 2023 14:10:13 +0000

xininfo (0.14.11-1) unstable; urgency=low

  * Initial release (Closes: #842975)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 02 Nov 2016 14:18:31 -0400
