=== debian/control ===
Source: xininfo
Section: x11
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
             , libx11-dev
             , libxinerama-dev
             , libxrandr-dev
             , pkgconf
Standards-Version: 4.7.3
Homepage: https://github.com/DaveDavenport/xininfo
Vcs-Git: https://salsa.debian.org/debian/xininfo.git
Vcs-Browser: https://salsa.debian.org/debian/xininfo

Package: xininfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small helper program for monitor layouts
 xininfo is an X11 utility to query the current layout and size of
 each configured monitor. It is designed to be used by scripts.
