=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
        # assume existing manpage is up to date, as Debian doesn't
        # have md2man-nroff to rebuild it
	[ -e doc/xininfo.1 ] && ( $(MAKE) build && cp doc/xininfo.1 build/doc )
