=== debian/watch ===
Version: 5

Template: Github
Owner: DaveDavenport
Project: xininfo
